# FoundationClasses
TKernel
Storage

# Storage_HSeqOfRoot Class Reference

`#include <Storage_HSeqOfRoot.hxx>`

Inheritance diagram for Storage_HSeqOfRoot:

[legend]

## Public Member Functions

| Storage_HSeqOfRoot ()
Standard_Boolean | IsEmpty () const
Standard_Integer | Length () const
Standard_EXPORT void | Clear ()
Standard_EXPORT void | Append (const Handle(Storage_Root)&anItem)
Standard_EXPORT void | Append (const Handle(Storage_HSeqOfRoot)&aSequence)
Standard_EXPORT void | Prepend (const Handle(Storage_Root)&anItem)
Standard_EXPORT void | Prepend (const Handle(Storage_HSeqOfRoot)&aSequence)
Standard_EXPORT void | Reverse ()
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(Storage_Root)&anItem)
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(Storage_HSeqOfRoot)&aSequence)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(Storage_Root)&anItem)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(Storage_HSeqOfRoot)&aSequence)
Standard_EXPORT void | Exchange (const Standard_Integer anIndex, const Standard_Integer anOtherIndex)
Standard_EXPORT Handle_Storage_HSeqOfRoot | Split (const Standard_Integer anIndex)
Standard_EXPORT void | SetValue (const Standard_Integer anIndex, const Handle(Storage_Root)&anItem)
Standard_EXPORT const Handle_Storage_Root & | Value (const Standard_Integer anIndex) const
Standard_EXPORT Handle_Storage_Root & | ChangeValue (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer fromIndex, const Standard_Integer toIndex)
const Storage_SeqOfRoot & | Sequence () const
Storage_SeqOfRoot & | ChangeSequence ()
Standard_EXPORT Handle_Storage_HSeqOfRoot | ShallowCopy () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Storage_SeqOfRoot | mySequence

## Constructor & Destructor Documentation

Storage_HSeqOfRoot::Storage_HSeqOfRoot | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void Storage_HSeqOfRoot::Append | ( | const Handle(Storage_HSeqOfRoot)& | aSequence | ) |

Standard_EXPORT void Storage_HSeqOfRoot::Append | ( | const Handle(Storage_Root)& | anItem | ) |

Storage_SeqOfRoot& Storage_HSeqOfRoot::ChangeSequence | ( |  | ) |

Standard_EXPORT Handle_Storage_Root& Storage_HSeqOfRoot::ChangeValue | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void Storage_HSeqOfRoot::Clear | ( |  | ) |

Standard_EXPORT void Storage_HSeqOfRoot::Exchange | ( | const Standard_Integer | anIndex,
|  | const Standard_Integer | anOtherIndex
| ) |

Standard_EXPORT const Storage_HSeqOfRoot::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MMgt_TShared.

Standard_EXPORT void Storage_HSeqOfRoot::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(Storage_HSeqOfRoot)& | aSequence
| ) |

Standard_EXPORT void Storage_HSeqOfRoot::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(Storage_Root)& | anItem
| ) |

Standard_EXPORT void Storage_HSeqOfRoot::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(Storage_HSeqOfRoot)& | aSequence
| ) |

Standard_EXPORT void Storage_HSeqOfRoot::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(Storage_Root)& | anItem
| ) |

Standard_Boolean Storage_HSeqOfRoot::IsEmpty | ( |  | ) | const

Standard_Integer Storage_HSeqOfRoot::Length | ( |  | ) | const

Standard_EXPORT void Storage_HSeqOfRoot::Prepend | ( | const Handle(Storage_HSeqOfRoot)& | aSequence | ) |

Standard_EXPORT void Storage_HSeqOfRoot::Prepend | ( | const Handle(Storage_Root)& | anItem | ) |

Standard_EXPORT void Storage_HSeqOfRoot::Remove | ( | const Standard_Integer | fromIndex,
|  | const Standard_Integer | toIndex
| ) |

Standard_EXPORT void Storage_HSeqOfRoot::Remove | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void Storage_HSeqOfRoot::Reverse | ( |  | ) |

const Storage_SeqOfRoot& Storage_HSeqOfRoot::Sequence | ( |  | ) | const

Standard_EXPORT void Storage_HSeqOfRoot::SetValue | ( | const Standard_Integer | anIndex,
|  | const Handle(Storage_Root)& | anItem
| ) |

Standard_EXPORT Handle_Storage_HSeqOfRoot Storage_HSeqOfRoot::ShallowCopy | ( |  | ) | const

Standard_EXPORT Handle_Storage_HSeqOfRoot Storage_HSeqOfRoot::Split | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT const Handle_Storage_Root& Storage_HSeqOfRoot::Value | ( | const Standard_Integer | anIndex | ) | const

## Field Documentation

Storage_SeqOfRoot Storage_HSeqOfRoot::mySequence `[private]`

The documentation for this class was generated from the following file:

- Storage_HSeqOfRoot.hxx